- [HTTP request](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects/getAuthorization#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects/getAuthorization#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects/getAuthorization#body.request_body)
- [Response body](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects/getAuthorization#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects/getAuthorization#body.Authorization.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects/getAuthorization#body.aspect)
- [Try it!](https://developers.google.com/workspace/add-ons/reference/rest/v1/projects/getAuthorization#try-it)

Gets the authorization information for deployments in a given project.

### HTTP request

`GET https://gsuiteaddons.googleapis.com/v1/{name=projects/*/authorization}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the project for which to get the Google Workspace add-on authorization information. Example: `projects/my_project/authorization`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `gsuiteaddons.authorizations.get` |

### Request body

The request body must be empty.

### Response body

The authorization information used when invoking deployment endpoints.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, "serviceAccountEmail": string, "oauthClientId": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The canonical full name of this resource. Example: `projects/123/authorization` |
| `serviceAccountEmail` | `string` The email address of the service account used to authenticate requests to add-on callback endpoints. |
| `oauthClientId` | `string` The OAuth client ID used to obtain OAuth access tokens for a user on the add-on's behalf. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).